| Home | Libraries | People | FAQ | More

## Struct template make_treap_set

boost::intrusive::make_treap_set

## Synopsis

    // In header: <boost/intrusive/treap_set.hpp>

    template<typename T, class... Options>
    struct make_treap_set {
      // types
      typedef implementation_defined type;
      < typenamemake_treap_opt< T, O1, O2, O3, O4 >::type implementation_defined;  // @ typedef treap_set_impl
    };

## Description

Helper metafunction to define a `treap_set` that yields to the same type when the same options (either explicitly or implicitly) are used.